Skip to main content

Get service info

GET{{server}}/api/v1/smart/taskInfo?branch={{branch}}

This endpoint retrieves information about services in a branch.

Request

  • branch (string, required): The branch for which the task information is requested.

Response

The response will contain an object where each key represents a service key and the corresponding value includes the wait time and number of tickets for that service.

Request​

Authorization​

HeaderValue
AuthorizationSmartToken {{smartToken}}

Headers​

KeyValue
Acceptapplication/json

Query parameters​

KeyValue
branch{{branch}}

Code snippets​

curl -X GET '{{server}}/api/v1/smart/taskInfo?branch={{branch}}' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'

Example​

Example request
GET{{server}}/api/v1/smart/taskInfo?branch={{branch}}
Query parameters (1)
KeyValue
branch{{branch}}
Headers (1)
KeyValue
Acceptapplication/json
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length721
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"00000000-0000-4000-0007-000000000001": {
"waitTime": 3600000,
"tickets": 0
},
"00000000-0000-4000-0007-000000000002": {
"waitTime": 3600000,
"tickets": 0
},
"00000000-0000-4000-0007-000000000006": {
"waitTime": 3600000,
"tickets": 0
},
"00000000-0000-4000-0007-000000000005": {
"waitTime": 3600000,
"tickets": 0
},
"18ed1ace-7774-441b-648f-98d54a257490": {
"waitTime": 3600000,
"tickets": 0
},
"18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1": {
"waitTime": 3600000,
"tickets": 0
},
"18ed1abe-b483-48ee-38e4-1029aafe62af": {
"waitTime": 3600000,
"tickets": 0
},
"00000000-0000-4000-0007-000000000004": {
"waitTime": 3600000,
"tickets": 0
},
"00000000-0000-4000-0007-000000000003": {
"waitTime": 3600000,
"tickets": 0
},
"18ed1ac5-8602-44e0-0e48-05356a4733ea": {
"waitTime": 3600000,
"tickets": 0
}
}